org.apache.cassandra.db.marshal

## Class FrozenType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.lang.Void>
  - - org.apache.cassandra.db.marshal.FrozenType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>, AssignmentTestable

    public class FrozenType
    extends AbstractType<java.lang.Void>

A fake type that is only used for parsing type strings that include frozen types.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.marshal.AbstractType

`AbstractType.ComparisonType`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

`comparisonType, isByteOrderComparable, reverseComparator`

### Constructor Summary

Constructors
`protected` `FrozenType()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Term` `fromJSONObject(java.lang.Object parsed)` Given a parsed JSON string, return a byte representation of the object.
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`static AbstractType<?>` `getInstance(TypeParser parser)`
`TypeSerializer<java.lang.Void>` `getSerializer()`
`java.lang.String` `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes used for various identifier (NOT just for log messages)
`java.lang.String` `toJSONString(java.nio.ByteBuffer buffer, ProtocolVersion protocolVersion)` Converts the specified value into its JSON representation.

### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

`asCQL3Type, asCQLTypeStringList, checkComparable, compare, compareCollectionMembers, compareCustom, compareForCQL, componentsCount, compose, decompose, equals, freeze, freezeNestedMulticellTypes, getComponents, getString, isCollection, isCompatibleWith, isCounter, isEmptyValueMeaningless, isFreezable, isFrozenCollection, isMultiCell, isReversed, isTuple, isUDT, isValueCompatibleWith, isValueCompatibleWithInternal, parseDefaultParameters, readValue, readValue, referencesDuration, referencesUserType, skipValue, testAssignment, toString, toString, validate, validateCellValue, validateCollectionMember, valueLengthIfFixed, writeValue, writtenLength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### FrozenType

    protected FrozenType()

### Method Detail

#### getInstance

    public static AbstractType<?> getInstance(TypeParser parser)
                                       throws ConfigurationException,
                                              SyntaxException

Throws:
  `ConfigurationException`
  `SyntaxException`

#### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

Description copied from class: `AbstractType`
get a string representation of the bytes used for various identifier (NOT just for log messages)

Overrides:
  `getString` in class `AbstractType<java.lang.Void>`

#### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)
                                   throws MarshalException

Description copied from class: `AbstractType`
get a byte representation of the given string.

Specified by:
  `fromString` in class `AbstractType<java.lang.Void>`
Throws:
  `MarshalException`

#### fromJSONObject

    public Term fromJSONObject(java.lang.Object parsed)
                        throws MarshalException

Description copied from class: `AbstractType`
Given a parsed JSON string, return a byte representation of the object.

Specified by:
  `fromJSONObject` in class `AbstractType<java.lang.Void>`
Parameters:
  `parsed` - the result of parsing a json string
Throws:
  `MarshalException`

#### toJSONString

    public java.lang.String toJSONString(java.nio.ByteBuffer buffer,
                                         ProtocolVersion protocolVersion)

Description copied from class: `AbstractType`
Converts the specified value into its JSON representation.

The buffer position will stay the same.

Overrides:
  `toJSONString` in class `AbstractType<java.lang.Void>`
Parameters:
  `buffer` - the value to convert
  `protocolVersion` - the protocol version to use for the conversion
Returns:
  a JSON string representing the specified value

#### getSerializer

    public TypeSerializer<java.lang.Void> getSerializer()

Specified by:
  `getSerializer` in class `AbstractType<java.lang.Void>`